1. Packages
  2. Packages
  3. Volcenginecc Provider
  4. API Docs
  5. clb
  6. getListener
Viewing docs for volcenginecc v0.0.32
published on Thursday, Apr 23, 2026 by Volcengine
volcenginecc logo
Viewing docs for volcenginecc v0.0.32
published on Thursday, Apr 23, 2026 by Volcengine

    Data Source schema for Volcengine::CLB::Listener

    Using getListener

    Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.

    function getListener(args: GetListenerArgs, opts?: InvokeOptions): Promise<GetListenerResult>
    function getListenerOutput(args: GetListenerOutputArgs, opts?: InvokeOptions): Output<GetListenerResult>
    def get_listener(id: Optional[str] = None,
                     opts: Optional[InvokeOptions] = None) -> GetListenerResult
    def get_listener_output(id: Optional[pulumi.Input[str]] = None,
                     opts: Optional[InvokeOptions] = None) -> Output[GetListenerResult]
    func LookupListener(ctx *Context, args *LookupListenerArgs, opts ...InvokeOption) (*LookupListenerResult, error)
    func LookupListenerOutput(ctx *Context, args *LookupListenerOutputArgs, opts ...InvokeOption) LookupListenerResultOutput

    > Note: This function is named LookupListener in the Go SDK.

    public static class GetListener 
    {
        public static Task<GetListenerResult> InvokeAsync(GetListenerArgs args, InvokeOptions? opts = null)
        public static Output<GetListenerResult> Invoke(GetListenerInvokeArgs args, InvokeOptions? opts = null)
    }
    public static CompletableFuture<GetListenerResult> getListener(GetListenerArgs args, InvokeOptions options)
    public static Output<GetListenerResult> getListener(GetListenerArgs args, InvokeOptions options)
    
    fn::invoke:
      function: volcenginecc:clb/getListener:getListener
      arguments:
        # arguments dictionary

    The following arguments are supported:

    Id string
    Uniquely identifies the resource.
    Id string
    Uniquely identifies the resource.
    id String
    Uniquely identifies the resource.
    id string
    Uniquely identifies the resource.
    id str
    Uniquely identifies the resource.
    id String
    Uniquely identifies the resource.

    getListener Result

    The following output properties are available:

    AclIds List<string>
    ID of the access control policy group bound to the listener. Returned only when the AclStatus parameter is set to on.
    AclStatus string
    Enable access control. Values: on: enabled. off (default): disabled.
    AclType string
    Access control mode. white: Allowlist. black: Denylist. This parameter is valid only when the AclStatus parameter is on.
    Bandwidth int
    Bandwidth limit for the listener, which means this listener exclusively uses the bandwidth of the CLB instance. Unit: Mbps. -1 (default): This listener does not exclusively use CLB bandwidth and shares the non-exclusive bandwidth of the CLB instance with other listeners. Value range: 1 to the non-exclusive bandwidth of the CLB instance.
    CaCertificateId string
    CA certificate for mutual authentication.
    CaEnabled string
    Enable mutual authentication. on: enabled. off (default): disabled.
    CertCenterCertificateId string
    Certificate ID from Certificate Center.
    CertificateId string
    Certificate ID from the CLB certificate management module.
    CertificateSource string
    Certificate source. clb (default): certificate uploaded to CLB. cert_center: certificate uploaded to Certificate Center. user: certificate uploaded by user.
    ClientBodyTimeout int
    Timeout for reading the client request body. This timeout applies only between two consecutive read operations, not the entire request transmission. Range: 30–120 seconds, default is 60 seconds. This parameter is valid only when Protocol is set to HTTP or HTTPS.
    ClientHeaderTimeout int
    Timeout for reading the client request header. Value range: 30–120 seconds. Default is 60 seconds. This parameter is valid only when Protocol is set to HTTP or HTTPS.
    ConnectionDrainEnabled string
    Whether the listener enables graceful connection termination. on: enabled. off: not enabled. When Protocol returns HTTP or HTTPS, this parameter always returns off.
    ConnectionDrainTimeout int
    Timeout for graceful connection termination, in seconds. If ConnectionDrainEnabled returns off, this parameter returns 0.
    Cookie string
    Name of the session persistence cookie configured on the backend server. This parameter is valid and required only when PersistenceType is set to server. Only letters, numbers, underscores (_), and hyphens (-) are allowed. Length must be between 1 and 200 characters.
    Cps int
    Maximum number of new connections per second. -1 (default): No limit, which means the maximum number of new connections allowed by the CLB instance. Value range: 1 to the maximum number of new connections allowed by the CLB instance.
    CreatedTime string
    Creation time of the listener.
    Description string
    Listener description. Must start with a letter, digit, or Chinese character. Can include letters, digits, Chinese characters, and the following special characters: comma (,), period (.), underscore (_), space ( ), equals sign (=), hyphen (-), Chinese comma (,), and Chinese period (。). Length: 0–255 characters. If not specified, the default is an empty string.
    DomainExtensions List<Volcengine.GetListenerDomainExtension>
    List of extended domain names associated with the HTTPS listener. Each HTTPS listener can be associated with up to 20 extended domain names.
    Enabled string
    Enable listener. on (default): enabled. off: disabled.
    EndPort int
    End port for all-port listening. Range: 1–65535. When Port is '0', this parameter is required and must be greater than startPort.
    EstablishedTimeout int
    Listener connection timeout. This parameter is valid only when Protocol is set to TCP or UDP. Values: TCP protocol: 10–900 seconds, default is 900 seconds. UDP protocol: 1–300 seconds, default is 90 seconds.
    HealthCheck Volcengine.GetListenerHealthCheck
    Health check information.
    Http2Enabled string
    Whether the listener enables frontend HTTP 2.0 protocol. This parameter is valid only when Protocol is set to HTTPS. Values: on: enabled. off (default): disabled.
    Id string
    Uniquely identifies the resource.
    KeepaliveTimeout int
    Keep-alive timeout between the client and CLB. Range: 0–900 seconds, default is 75 seconds. 0 disables keep-alive. This parameter is valid only when Protocol is set to HTTP or HTTPS.
    ListenerId string
    Listener ID.
    ListenerName string
    Listener name. Must start with a letter, number, or Chinese character. Can include letters, numbers, Chinese characters, and the following special characters: period (.), underscore (_), and hyphen (-). Length must be between 1 and 128 characters. If left blank, 'Protocol-Port' will be used as the default listener name.
    LoadBalancerId string
    ID of the CLB instance.
    MaxConnections int
    Maximum concurrent connections limit. -1 (default): unlimited (up to the maximum concurrent connections supported by the CLB instance). Value range: 1 to the maximum concurrent connections limit of the CLB instance.
    PersistenceTimeout int
    Session persistence timeout, in seconds. The value range depends on the PersistenceType parameter. When PersistenceType is set to source_ip, the range is 1–3600. When PersistenceType is set to insert, the range is 1–86400.
    PersistenceType string
    Session persistence type. Values: off (default): session persistence disabled. source_ip: source IP address, valid only when Protocol is TCP or UDP. insert: insert Cookie, valid only when Protocol is HTTP or HTTPS and Scheduler is wrr. server: rewrite Cookie, valid only when Protocol is HTTP or HTTPS and Scheduler is wrr.
    Port int
    Port used by the listener to receive requests. Value range: 0–65535. When the Protocol parameter is 'TCP' or 'UDP', 0 is supported, which enables listening on all ports.
    Protocol string
    Listener protocol. Includes: TCP, UDP, HTTP, HTTPS.
    ProxyConnectTimeout int
    Connection establishment timeout between CLB and backend server. Recommended to be greater than the health check timeout. Range: 4–120 seconds, default is 4. This parameter is valid only when Protocol is set to HTTP or HTTPS.
    ProxyProtocolType string
    Enable Proxy-Protocol. This parameter is valid only when Protocol is TCP or UDP. Values: off (default): disabled. standard: enabled.
    ProxyReadTimeout int
    Timeout for CLB to read responses from backend servers. This timeout applies only between two consecutive read operations, not for the entire response transmission. Value range: 30–3600 seconds. Default: 60 seconds. This parameter is valid only when Protocol is set to HTTP or HTTPS.
    ProxySendTimeout int
    Timeout for CLB to transmit requests to backend servers. This timeout applies only between two consecutive write operations, not the entire request transmission process. Value range: 30–3600 seconds. Default is 60 seconds. This parameter is valid only when Protocol is set to HTTP or HTTPS.
    RuleIds List<string>
    List of rule IDs bound to the listener.
    Scheduler string
    Scheduling algorithm used by the listener. wrr (default): Weighted round robin. wlc: Weighted least connections. sh: Source address hash.
    SecurityPolicyId string
    TLS security policy for HTTPS listeners. This parameter is valid only when Protocol is set to HTTPS. Values: defaultpolicy (default): supports SSL v3, TLS v1.0, TLS v1.1, TLS v1.2. tlscipherpolicy10: supports TLS v1.0, TLS v1.1, TLS v1.2. tlscipherpolicy11: supports TLS v1.1, TLS v1.2. tlscipherpolicy12: supports TLS v1.2. tlscipherpolicy12strict: supports TLS v1.2.
    SendTimeout int
    Timeout for CLB to send responses to the client. This timeout applies only between two consecutive write operations, not the entire response transmission. Range: 1–3600 seconds, default is 60 seconds. This parameter is valid only when Protocol is set to HTTP or HTTPS.
    ServerGroupId string
    ID of the backend server group associated with the listener.
    StartPort int
    Start port for all-port listening. Range: 1–65535. When Port is '0', this parameter is required.
    Status string
    Listener status. Creating: being created. Active: running. Deleting: being deleted. Disabled: disabled.
    Tags List<Volcengine.GetListenerTag>
    Tag associated with the listener.
    UpdatedTime string
    Last operation time of the listener.
    WafProtectionEnabled string
    Send traffic passing through the Layer 7 listener to the Web Application Firewall for inspection and filtering. on: yes. off: no.
    AclIds []string
    ID of the access control policy group bound to the listener. Returned only when the AclStatus parameter is set to on.
    AclStatus string
    Enable access control. Values: on: enabled. off (default): disabled.
    AclType string
    Access control mode. white: Allowlist. black: Denylist. This parameter is valid only when the AclStatus parameter is on.
    Bandwidth int
    Bandwidth limit for the listener, which means this listener exclusively uses the bandwidth of the CLB instance. Unit: Mbps. -1 (default): This listener does not exclusively use CLB bandwidth and shares the non-exclusive bandwidth of the CLB instance with other listeners. Value range: 1 to the non-exclusive bandwidth of the CLB instance.
    CaCertificateId string
    CA certificate for mutual authentication.
    CaEnabled string
    Enable mutual authentication. on: enabled. off (default): disabled.
    CertCenterCertificateId string
    Certificate ID from Certificate Center.
    CertificateId string
    Certificate ID from the CLB certificate management module.
    CertificateSource string
    Certificate source. clb (default): certificate uploaded to CLB. cert_center: certificate uploaded to Certificate Center. user: certificate uploaded by user.
    ClientBodyTimeout int
    Timeout for reading the client request body. This timeout applies only between two consecutive read operations, not the entire request transmission. Range: 30–120 seconds, default is 60 seconds. This parameter is valid only when Protocol is set to HTTP or HTTPS.
    ClientHeaderTimeout int
    Timeout for reading the client request header. Value range: 30–120 seconds. Default is 60 seconds. This parameter is valid only when Protocol is set to HTTP or HTTPS.
    ConnectionDrainEnabled string
    Whether the listener enables graceful connection termination. on: enabled. off: not enabled. When Protocol returns HTTP or HTTPS, this parameter always returns off.
    ConnectionDrainTimeout int
    Timeout for graceful connection termination, in seconds. If ConnectionDrainEnabled returns off, this parameter returns 0.
    Cookie string
    Name of the session persistence cookie configured on the backend server. This parameter is valid and required only when PersistenceType is set to server. Only letters, numbers, underscores (_), and hyphens (-) are allowed. Length must be between 1 and 200 characters.
    Cps int
    Maximum number of new connections per second. -1 (default): No limit, which means the maximum number of new connections allowed by the CLB instance. Value range: 1 to the maximum number of new connections allowed by the CLB instance.
    CreatedTime string
    Creation time of the listener.
    Description string
    Listener description. Must start with a letter, digit, or Chinese character. Can include letters, digits, Chinese characters, and the following special characters: comma (,), period (.), underscore (_), space ( ), equals sign (=), hyphen (-), Chinese comma (,), and Chinese period (。). Length: 0–255 characters. If not specified, the default is an empty string.
    DomainExtensions []GetListenerDomainExtension
    List of extended domain names associated with the HTTPS listener. Each HTTPS listener can be associated with up to 20 extended domain names.
    Enabled string
    Enable listener. on (default): enabled. off: disabled.
    EndPort int
    End port for all-port listening. Range: 1–65535. When Port is '0', this parameter is required and must be greater than startPort.
    EstablishedTimeout int
    Listener connection timeout. This parameter is valid only when Protocol is set to TCP or UDP. Values: TCP protocol: 10–900 seconds, default is 900 seconds. UDP protocol: 1–300 seconds, default is 90 seconds.
    HealthCheck GetListenerHealthCheck
    Health check information.
    Http2Enabled string
    Whether the listener enables frontend HTTP 2.0 protocol. This parameter is valid only when Protocol is set to HTTPS. Values: on: enabled. off (default): disabled.
    Id string
    Uniquely identifies the resource.
    KeepaliveTimeout int
    Keep-alive timeout between the client and CLB. Range: 0–900 seconds, default is 75 seconds. 0 disables keep-alive. This parameter is valid only when Protocol is set to HTTP or HTTPS.
    ListenerId string
    Listener ID.
    ListenerName string
    Listener name. Must start with a letter, number, or Chinese character. Can include letters, numbers, Chinese characters, and the following special characters: period (.), underscore (_), and hyphen (-). Length must be between 1 and 128 characters. If left blank, 'Protocol-Port' will be used as the default listener name.
    LoadBalancerId string
    ID of the CLB instance.
    MaxConnections int
    Maximum concurrent connections limit. -1 (default): unlimited (up to the maximum concurrent connections supported by the CLB instance). Value range: 1 to the maximum concurrent connections limit of the CLB instance.
    PersistenceTimeout int
    Session persistence timeout, in seconds. The value range depends on the PersistenceType parameter. When PersistenceType is set to source_ip, the range is 1–3600. When PersistenceType is set to insert, the range is 1–86400.
    PersistenceType string
    Session persistence type. Values: off (default): session persistence disabled. source_ip: source IP address, valid only when Protocol is TCP or UDP. insert: insert Cookie, valid only when Protocol is HTTP or HTTPS and Scheduler is wrr. server: rewrite Cookie, valid only when Protocol is HTTP or HTTPS and Scheduler is wrr.
    Port int
    Port used by the listener to receive requests. Value range: 0–65535. When the Protocol parameter is 'TCP' or 'UDP', 0 is supported, which enables listening on all ports.
    Protocol string
    Listener protocol. Includes: TCP, UDP, HTTP, HTTPS.
    ProxyConnectTimeout int
    Connection establishment timeout between CLB and backend server. Recommended to be greater than the health check timeout. Range: 4–120 seconds, default is 4. This parameter is valid only when Protocol is set to HTTP or HTTPS.
    ProxyProtocolType string
    Enable Proxy-Protocol. This parameter is valid only when Protocol is TCP or UDP. Values: off (default): disabled. standard: enabled.
    ProxyReadTimeout int
    Timeout for CLB to read responses from backend servers. This timeout applies only between two consecutive read operations, not for the entire response transmission. Value range: 30–3600 seconds. Default: 60 seconds. This parameter is valid only when Protocol is set to HTTP or HTTPS.
    ProxySendTimeout int
    Timeout for CLB to transmit requests to backend servers. This timeout applies only between two consecutive write operations, not the entire request transmission process. Value range: 30–3600 seconds. Default is 60 seconds. This parameter is valid only when Protocol is set to HTTP or HTTPS.
    RuleIds []string
    List of rule IDs bound to the listener.
    Scheduler string
    Scheduling algorithm used by the listener. wrr (default): Weighted round robin. wlc: Weighted least connections. sh: Source address hash.
    SecurityPolicyId string
    TLS security policy for HTTPS listeners. This parameter is valid only when Protocol is set to HTTPS. Values: defaultpolicy (default): supports SSL v3, TLS v1.0, TLS v1.1, TLS v1.2. tlscipherpolicy10: supports TLS v1.0, TLS v1.1, TLS v1.2. tlscipherpolicy11: supports TLS v1.1, TLS v1.2. tlscipherpolicy12: supports TLS v1.2. tlscipherpolicy12strict: supports TLS v1.2.
    SendTimeout int
    Timeout for CLB to send responses to the client. This timeout applies only between two consecutive write operations, not the entire response transmission. Range: 1–3600 seconds, default is 60 seconds. This parameter is valid only when Protocol is set to HTTP or HTTPS.
    ServerGroupId string
    ID of the backend server group associated with the listener.
    StartPort int
    Start port for all-port listening. Range: 1–65535. When Port is '0', this parameter is required.
    Status string
    Listener status. Creating: being created. Active: running. Deleting: being deleted. Disabled: disabled.
    Tags []GetListenerTag
    Tag associated with the listener.
    UpdatedTime string
    Last operation time of the listener.
    WafProtectionEnabled string
    Send traffic passing through the Layer 7 listener to the Web Application Firewall for inspection and filtering. on: yes. off: no.
    aclIds List<String>
    ID of the access control policy group bound to the listener. Returned only when the AclStatus parameter is set to on.
    aclStatus String
    Enable access control. Values: on: enabled. off (default): disabled.
    aclType String
    Access control mode. white: Allowlist. black: Denylist. This parameter is valid only when the AclStatus parameter is on.
    bandwidth Integer
    Bandwidth limit for the listener, which means this listener exclusively uses the bandwidth of the CLB instance. Unit: Mbps. -1 (default): This listener does not exclusively use CLB bandwidth and shares the non-exclusive bandwidth of the CLB instance with other listeners. Value range: 1 to the non-exclusive bandwidth of the CLB instance.
    caCertificateId String
    CA certificate for mutual authentication.
    caEnabled String
    Enable mutual authentication. on: enabled. off (default): disabled.
    certCenterCertificateId String
    Certificate ID from Certificate Center.
    certificateId String
    Certificate ID from the CLB certificate management module.
    certificateSource String
    Certificate source. clb (default): certificate uploaded to CLB. cert_center: certificate uploaded to Certificate Center. user: certificate uploaded by user.
    clientBodyTimeout Integer
    Timeout for reading the client request body. This timeout applies only between two consecutive read operations, not the entire request transmission. Range: 30–120 seconds, default is 60 seconds. This parameter is valid only when Protocol is set to HTTP or HTTPS.
    clientHeaderTimeout Integer
    Timeout for reading the client request header. Value range: 30–120 seconds. Default is 60 seconds. This parameter is valid only when Protocol is set to HTTP or HTTPS.
    connectionDrainEnabled String
    Whether the listener enables graceful connection termination. on: enabled. off: not enabled. When Protocol returns HTTP or HTTPS, this parameter always returns off.
    connectionDrainTimeout Integer
    Timeout for graceful connection termination, in seconds. If ConnectionDrainEnabled returns off, this parameter returns 0.
    cookie String
    Name of the session persistence cookie configured on the backend server. This parameter is valid and required only when PersistenceType is set to server. Only letters, numbers, underscores (_), and hyphens (-) are allowed. Length must be between 1 and 200 characters.
    cps Integer
    Maximum number of new connections per second. -1 (default): No limit, which means the maximum number of new connections allowed by the CLB instance. Value range: 1 to the maximum number of new connections allowed by the CLB instance.
    createdTime String
    Creation time of the listener.
    description String
    Listener description. Must start with a letter, digit, or Chinese character. Can include letters, digits, Chinese characters, and the following special characters: comma (,), period (.), underscore (_), space ( ), equals sign (=), hyphen (-), Chinese comma (,), and Chinese period (。). Length: 0–255 characters. If not specified, the default is an empty string.
    domainExtensions List<GetListenerDomainExtension>
    List of extended domain names associated with the HTTPS listener. Each HTTPS listener can be associated with up to 20 extended domain names.
    enabled String
    Enable listener. on (default): enabled. off: disabled.
    endPort Integer
    End port for all-port listening. Range: 1–65535. When Port is '0', this parameter is required and must be greater than startPort.
    establishedTimeout Integer
    Listener connection timeout. This parameter is valid only when Protocol is set to TCP or UDP. Values: TCP protocol: 10–900 seconds, default is 900 seconds. UDP protocol: 1–300 seconds, default is 90 seconds.
    healthCheck GetListenerHealthCheck
    Health check information.
    http2Enabled String
    Whether the listener enables frontend HTTP 2.0 protocol. This parameter is valid only when Protocol is set to HTTPS. Values: on: enabled. off (default): disabled.
    id String
    Uniquely identifies the resource.
    keepaliveTimeout Integer
    Keep-alive timeout between the client and CLB. Range: 0–900 seconds, default is 75 seconds. 0 disables keep-alive. This parameter is valid only when Protocol is set to HTTP or HTTPS.
    listenerId String
    Listener ID.
    listenerName String
    Listener name. Must start with a letter, number, or Chinese character. Can include letters, numbers, Chinese characters, and the following special characters: period (.), underscore (_), and hyphen (-). Length must be between 1 and 128 characters. If left blank, 'Protocol-Port' will be used as the default listener name.
    loadBalancerId String
    ID of the CLB instance.
    maxConnections Integer
    Maximum concurrent connections limit. -1 (default): unlimited (up to the maximum concurrent connections supported by the CLB instance). Value range: 1 to the maximum concurrent connections limit of the CLB instance.
    persistenceTimeout Integer
    Session persistence timeout, in seconds. The value range depends on the PersistenceType parameter. When PersistenceType is set to source_ip, the range is 1–3600. When PersistenceType is set to insert, the range is 1–86400.
    persistenceType String
    Session persistence type. Values: off (default): session persistence disabled. source_ip: source IP address, valid only when Protocol is TCP or UDP. insert: insert Cookie, valid only when Protocol is HTTP or HTTPS and Scheduler is wrr. server: rewrite Cookie, valid only when Protocol is HTTP or HTTPS and Scheduler is wrr.
    port Integer
    Port used by the listener to receive requests. Value range: 0–65535. When the Protocol parameter is 'TCP' or 'UDP', 0 is supported, which enables listening on all ports.
    protocol String
    Listener protocol. Includes: TCP, UDP, HTTP, HTTPS.
    proxyConnectTimeout Integer
    Connection establishment timeout between CLB and backend server. Recommended to be greater than the health check timeout. Range: 4–120 seconds, default is 4. This parameter is valid only when Protocol is set to HTTP or HTTPS.
    proxyProtocolType String
    Enable Proxy-Protocol. This parameter is valid only when Protocol is TCP or UDP. Values: off (default): disabled. standard: enabled.
    proxyReadTimeout Integer
    Timeout for CLB to read responses from backend servers. This timeout applies only between two consecutive read operations, not for the entire response transmission. Value range: 30–3600 seconds. Default: 60 seconds. This parameter is valid only when Protocol is set to HTTP or HTTPS.
    proxySendTimeout Integer
    Timeout for CLB to transmit requests to backend servers. This timeout applies only between two consecutive write operations, not the entire request transmission process. Value range: 30–3600 seconds. Default is 60 seconds. This parameter is valid only when Protocol is set to HTTP or HTTPS.
    ruleIds List<String>
    List of rule IDs bound to the listener.
    scheduler String
    Scheduling algorithm used by the listener. wrr (default): Weighted round robin. wlc: Weighted least connections. sh: Source address hash.
    securityPolicyId String
    TLS security policy for HTTPS listeners. This parameter is valid only when Protocol is set to HTTPS. Values: defaultpolicy (default): supports SSL v3, TLS v1.0, TLS v1.1, TLS v1.2. tlscipherpolicy10: supports TLS v1.0, TLS v1.1, TLS v1.2. tlscipherpolicy11: supports TLS v1.1, TLS v1.2. tlscipherpolicy12: supports TLS v1.2. tlscipherpolicy12strict: supports TLS v1.2.
    sendTimeout Integer
    Timeout for CLB to send responses to the client. This timeout applies only between two consecutive write operations, not the entire response transmission. Range: 1–3600 seconds, default is 60 seconds. This parameter is valid only when Protocol is set to HTTP or HTTPS.
    serverGroupId String
    ID of the backend server group associated with the listener.
    startPort Integer
    Start port for all-port listening. Range: 1–65535. When Port is '0', this parameter is required.
    status String
    Listener status. Creating: being created. Active: running. Deleting: being deleted. Disabled: disabled.
    tags List<GetListenerTag>
    Tag associated with the listener.
    updatedTime String
    Last operation time of the listener.
    wafProtectionEnabled String
    Send traffic passing through the Layer 7 listener to the Web Application Firewall for inspection and filtering. on: yes. off: no.
    aclIds string[]
    ID of the access control policy group bound to the listener. Returned only when the AclStatus parameter is set to on.
    aclStatus string
    Enable access control. Values: on: enabled. off (default): disabled.
    aclType string
    Access control mode. white: Allowlist. black: Denylist. This parameter is valid only when the AclStatus parameter is on.
    bandwidth number
    Bandwidth limit for the listener, which means this listener exclusively uses the bandwidth of the CLB instance. Unit: Mbps. -1 (default): This listener does not exclusively use CLB bandwidth and shares the non-exclusive bandwidth of the CLB instance with other listeners. Value range: 1 to the non-exclusive bandwidth of the CLB instance.
    caCertificateId string
    CA certificate for mutual authentication.
    caEnabled string
    Enable mutual authentication. on: enabled. off (default): disabled.
    certCenterCertificateId string
    Certificate ID from Certificate Center.
    certificateId string
    Certificate ID from the CLB certificate management module.
    certificateSource string
    Certificate source. clb (default): certificate uploaded to CLB. cert_center: certificate uploaded to Certificate Center. user: certificate uploaded by user.
    clientBodyTimeout number
    Timeout for reading the client request body. This timeout applies only between two consecutive read operations, not the entire request transmission. Range: 30–120 seconds, default is 60 seconds. This parameter is valid only when Protocol is set to HTTP or HTTPS.
    clientHeaderTimeout number
    Timeout for reading the client request header. Value range: 30–120 seconds. Default is 60 seconds. This parameter is valid only when Protocol is set to HTTP or HTTPS.
    connectionDrainEnabled string
    Whether the listener enables graceful connection termination. on: enabled. off: not enabled. When Protocol returns HTTP or HTTPS, this parameter always returns off.
    connectionDrainTimeout number
    Timeout for graceful connection termination, in seconds. If ConnectionDrainEnabled returns off, this parameter returns 0.
    cookie string
    Name of the session persistence cookie configured on the backend server. This parameter is valid and required only when PersistenceType is set to server. Only letters, numbers, underscores (_), and hyphens (-) are allowed. Length must be between 1 and 200 characters.
    cps number
    Maximum number of new connections per second. -1 (default): No limit, which means the maximum number of new connections allowed by the CLB instance. Value range: 1 to the maximum number of new connections allowed by the CLB instance.
    createdTime string
    Creation time of the listener.
    description string
    Listener description. Must start with a letter, digit, or Chinese character. Can include letters, digits, Chinese characters, and the following special characters: comma (,), period (.), underscore (_), space ( ), equals sign (=), hyphen (-), Chinese comma (,), and Chinese period (。). Length: 0–255 characters. If not specified, the default is an empty string.
    domainExtensions GetListenerDomainExtension[]
    List of extended domain names associated with the HTTPS listener. Each HTTPS listener can be associated with up to 20 extended domain names.
    enabled string
    Enable listener. on (default): enabled. off: disabled.
    endPort number
    End port for all-port listening. Range: 1–65535. When Port is '0', this parameter is required and must be greater than startPort.
    establishedTimeout number
    Listener connection timeout. This parameter is valid only when Protocol is set to TCP or UDP. Values: TCP protocol: 10–900 seconds, default is 900 seconds. UDP protocol: 1–300 seconds, default is 90 seconds.
    healthCheck GetListenerHealthCheck
    Health check information.
    http2Enabled string
    Whether the listener enables frontend HTTP 2.0 protocol. This parameter is valid only when Protocol is set to HTTPS. Values: on: enabled. off (default): disabled.
    id string
    Uniquely identifies the resource.
    keepaliveTimeout number
    Keep-alive timeout between the client and CLB. Range: 0–900 seconds, default is 75 seconds. 0 disables keep-alive. This parameter is valid only when Protocol is set to HTTP or HTTPS.
    listenerId string
    Listener ID.
    listenerName string
    Listener name. Must start with a letter, number, or Chinese character. Can include letters, numbers, Chinese characters, and the following special characters: period (.), underscore (_), and hyphen (-). Length must be between 1 and 128 characters. If left blank, 'Protocol-Port' will be used as the default listener name.
    loadBalancerId string
    ID of the CLB instance.
    maxConnections number
    Maximum concurrent connections limit. -1 (default): unlimited (up to the maximum concurrent connections supported by the CLB instance). Value range: 1 to the maximum concurrent connections limit of the CLB instance.
    persistenceTimeout number
    Session persistence timeout, in seconds. The value range depends on the PersistenceType parameter. When PersistenceType is set to source_ip, the range is 1–3600. When PersistenceType is set to insert, the range is 1–86400.
    persistenceType string
    Session persistence type. Values: off (default): session persistence disabled. source_ip: source IP address, valid only when Protocol is TCP or UDP. insert: insert Cookie, valid only when Protocol is HTTP or HTTPS and Scheduler is wrr. server: rewrite Cookie, valid only when Protocol is HTTP or HTTPS and Scheduler is wrr.
    port number
    Port used by the listener to receive requests. Value range: 0–65535. When the Protocol parameter is 'TCP' or 'UDP', 0 is supported, which enables listening on all ports.
    protocol string
    Listener protocol. Includes: TCP, UDP, HTTP, HTTPS.
    proxyConnectTimeout number
    Connection establishment timeout between CLB and backend server. Recommended to be greater than the health check timeout. Range: 4–120 seconds, default is 4. This parameter is valid only when Protocol is set to HTTP or HTTPS.
    proxyProtocolType string
    Enable Proxy-Protocol. This parameter is valid only when Protocol is TCP or UDP. Values: off (default): disabled. standard: enabled.
    proxyReadTimeout number
    Timeout for CLB to read responses from backend servers. This timeout applies only between two consecutive read operations, not for the entire response transmission. Value range: 30–3600 seconds. Default: 60 seconds. This parameter is valid only when Protocol is set to HTTP or HTTPS.
    proxySendTimeout number
    Timeout for CLB to transmit requests to backend servers. This timeout applies only between two consecutive write operations, not the entire request transmission process. Value range: 30–3600 seconds. Default is 60 seconds. This parameter is valid only when Protocol is set to HTTP or HTTPS.
    ruleIds string[]
    List of rule IDs bound to the listener.
    scheduler string
    Scheduling algorithm used by the listener. wrr (default): Weighted round robin. wlc: Weighted least connections. sh: Source address hash.
    securityPolicyId string
    TLS security policy for HTTPS listeners. This parameter is valid only when Protocol is set to HTTPS. Values: defaultpolicy (default): supports SSL v3, TLS v1.0, TLS v1.1, TLS v1.2. tlscipherpolicy10: supports TLS v1.0, TLS v1.1, TLS v1.2. tlscipherpolicy11: supports TLS v1.1, TLS v1.2. tlscipherpolicy12: supports TLS v1.2. tlscipherpolicy12strict: supports TLS v1.2.
    sendTimeout number
    Timeout for CLB to send responses to the client. This timeout applies only between two consecutive write operations, not the entire response transmission. Range: 1–3600 seconds, default is 60 seconds. This parameter is valid only when Protocol is set to HTTP or HTTPS.
    serverGroupId string
    ID of the backend server group associated with the listener.
    startPort number
    Start port for all-port listening. Range: 1–65535. When Port is '0', this parameter is required.
    status string
    Listener status. Creating: being created. Active: running. Deleting: being deleted. Disabled: disabled.
    tags GetListenerTag[]
    Tag associated with the listener.
    updatedTime string
    Last operation time of the listener.
    wafProtectionEnabled string
    Send traffic passing through the Layer 7 listener to the Web Application Firewall for inspection and filtering. on: yes. off: no.
    acl_ids Sequence[str]
    ID of the access control policy group bound to the listener. Returned only when the AclStatus parameter is set to on.
    acl_status str
    Enable access control. Values: on: enabled. off (default): disabled.
    acl_type str
    Access control mode. white: Allowlist. black: Denylist. This parameter is valid only when the AclStatus parameter is on.
    bandwidth int
    Bandwidth limit for the listener, which means this listener exclusively uses the bandwidth of the CLB instance. Unit: Mbps. -1 (default): This listener does not exclusively use CLB bandwidth and shares the non-exclusive bandwidth of the CLB instance with other listeners. Value range: 1 to the non-exclusive bandwidth of the CLB instance.
    ca_certificate_id str
    CA certificate for mutual authentication.
    ca_enabled str
    Enable mutual authentication. on: enabled. off (default): disabled.
    cert_center_certificate_id str
    Certificate ID from Certificate Center.
    certificate_id str
    Certificate ID from the CLB certificate management module.
    certificate_source str
    Certificate source. clb (default): certificate uploaded to CLB. cert_center: certificate uploaded to Certificate Center. user: certificate uploaded by user.
    client_body_timeout int
    Timeout for reading the client request body. This timeout applies only between two consecutive read operations, not the entire request transmission. Range: 30–120 seconds, default is 60 seconds. This parameter is valid only when Protocol is set to HTTP or HTTPS.
    client_header_timeout int
    Timeout for reading the client request header. Value range: 30–120 seconds. Default is 60 seconds. This parameter is valid only when Protocol is set to HTTP or HTTPS.
    connection_drain_enabled str
    Whether the listener enables graceful connection termination. on: enabled. off: not enabled. When Protocol returns HTTP or HTTPS, this parameter always returns off.
    connection_drain_timeout int
    Timeout for graceful connection termination, in seconds. If ConnectionDrainEnabled returns off, this parameter returns 0.
    cookie str
    Name of the session persistence cookie configured on the backend server. This parameter is valid and required only when PersistenceType is set to server. Only letters, numbers, underscores (_), and hyphens (-) are allowed. Length must be between 1 and 200 characters.
    cps int
    Maximum number of new connections per second. -1 (default): No limit, which means the maximum number of new connections allowed by the CLB instance. Value range: 1 to the maximum number of new connections allowed by the CLB instance.
    created_time str
    Creation time of the listener.
    description str
    Listener description. Must start with a letter, digit, or Chinese character. Can include letters, digits, Chinese characters, and the following special characters: comma (,), period (.), underscore (_), space ( ), equals sign (=), hyphen (-), Chinese comma (,), and Chinese period (。). Length: 0–255 characters. If not specified, the default is an empty string.
    domain_extensions Sequence[GetListenerDomainExtension]
    List of extended domain names associated with the HTTPS listener. Each HTTPS listener can be associated with up to 20 extended domain names.
    enabled str
    Enable listener. on (default): enabled. off: disabled.
    end_port int
    End port for all-port listening. Range: 1–65535. When Port is '0', this parameter is required and must be greater than startPort.
    established_timeout int
    Listener connection timeout. This parameter is valid only when Protocol is set to TCP or UDP. Values: TCP protocol: 10–900 seconds, default is 900 seconds. UDP protocol: 1–300 seconds, default is 90 seconds.
    health_check GetListenerHealthCheck
    Health check information.
    http2_enabled str
    Whether the listener enables frontend HTTP 2.0 protocol. This parameter is valid only when Protocol is set to HTTPS. Values: on: enabled. off (default): disabled.
    id str
    Uniquely identifies the resource.
    keepalive_timeout int
    Keep-alive timeout between the client and CLB. Range: 0–900 seconds, default is 75 seconds. 0 disables keep-alive. This parameter is valid only when Protocol is set to HTTP or HTTPS.
    listener_id str
    Listener ID.
    listener_name str
    Listener name. Must start with a letter, number, or Chinese character. Can include letters, numbers, Chinese characters, and the following special characters: period (.), underscore (_), and hyphen (-). Length must be between 1 and 128 characters. If left blank, 'Protocol-Port' will be used as the default listener name.
    load_balancer_id str
    ID of the CLB instance.
    max_connections int
    Maximum concurrent connections limit. -1 (default): unlimited (up to the maximum concurrent connections supported by the CLB instance). Value range: 1 to the maximum concurrent connections limit of the CLB instance.
    persistence_timeout int
    Session persistence timeout, in seconds. The value range depends on the PersistenceType parameter. When PersistenceType is set to source_ip, the range is 1–3600. When PersistenceType is set to insert, the range is 1–86400.
    persistence_type str
    Session persistence type. Values: off (default): session persistence disabled. source_ip: source IP address, valid only when Protocol is TCP or UDP. insert: insert Cookie, valid only when Protocol is HTTP or HTTPS and Scheduler is wrr. server: rewrite Cookie, valid only when Protocol is HTTP or HTTPS and Scheduler is wrr.
    port int
    Port used by the listener to receive requests. Value range: 0–65535. When the Protocol parameter is 'TCP' or 'UDP', 0 is supported, which enables listening on all ports.
    protocol str
    Listener protocol. Includes: TCP, UDP, HTTP, HTTPS.
    proxy_connect_timeout int
    Connection establishment timeout between CLB and backend server. Recommended to be greater than the health check timeout. Range: 4–120 seconds, default is 4. This parameter is valid only when Protocol is set to HTTP or HTTPS.
    proxy_protocol_type str
    Enable Proxy-Protocol. This parameter is valid only when Protocol is TCP or UDP. Values: off (default): disabled. standard: enabled.
    proxy_read_timeout int
    Timeout for CLB to read responses from backend servers. This timeout applies only between two consecutive read operations, not for the entire response transmission. Value range: 30–3600 seconds. Default: 60 seconds. This parameter is valid only when Protocol is set to HTTP or HTTPS.
    proxy_send_timeout int
    Timeout for CLB to transmit requests to backend servers. This timeout applies only between two consecutive write operations, not the entire request transmission process. Value range: 30–3600 seconds. Default is 60 seconds. This parameter is valid only when Protocol is set to HTTP or HTTPS.
    rule_ids Sequence[str]
    List of rule IDs bound to the listener.
    scheduler str
    Scheduling algorithm used by the listener. wrr (default): Weighted round robin. wlc: Weighted least connections. sh: Source address hash.
    security_policy_id str
    TLS security policy for HTTPS listeners. This parameter is valid only when Protocol is set to HTTPS. Values: defaultpolicy (default): supports SSL v3, TLS v1.0, TLS v1.1, TLS v1.2. tlscipherpolicy10: supports TLS v1.0, TLS v1.1, TLS v1.2. tlscipherpolicy11: supports TLS v1.1, TLS v1.2. tlscipherpolicy12: supports TLS v1.2. tlscipherpolicy12strict: supports TLS v1.2.
    send_timeout int
    Timeout for CLB to send responses to the client. This timeout applies only between two consecutive write operations, not the entire response transmission. Range: 1–3600 seconds, default is 60 seconds. This parameter is valid only when Protocol is set to HTTP or HTTPS.
    server_group_id str
    ID of the backend server group associated with the listener.
    start_port int
    Start port for all-port listening. Range: 1–65535. When Port is '0', this parameter is required.
    status str
    Listener status. Creating: being created. Active: running. Deleting: being deleted. Disabled: disabled.
    tags Sequence[GetListenerTag]
    Tag associated with the listener.
    updated_time str
    Last operation time of the listener.
    waf_protection_enabled str
    Send traffic passing through the Layer 7 listener to the Web Application Firewall for inspection and filtering. on: yes. off: no.
    aclIds List<String>
    ID of the access control policy group bound to the listener. Returned only when the AclStatus parameter is set to on.
    aclStatus String
    Enable access control. Values: on: enabled. off (default): disabled.
    aclType String
    Access control mode. white: Allowlist. black: Denylist. This parameter is valid only when the AclStatus parameter is on.
    bandwidth Number
    Bandwidth limit for the listener, which means this listener exclusively uses the bandwidth of the CLB instance. Unit: Mbps. -1 (default): This listener does not exclusively use CLB bandwidth and shares the non-exclusive bandwidth of the CLB instance with other listeners. Value range: 1 to the non-exclusive bandwidth of the CLB instance.
    caCertificateId String
    CA certificate for mutual authentication.
    caEnabled String
    Enable mutual authentication. on: enabled. off (default): disabled.
    certCenterCertificateId String
    Certificate ID from Certificate Center.
    certificateId String
    Certificate ID from the CLB certificate management module.
    certificateSource String
    Certificate source. clb (default): certificate uploaded to CLB. cert_center: certificate uploaded to Certificate Center. user: certificate uploaded by user.
    clientBodyTimeout Number
    Timeout for reading the client request body. This timeout applies only between two consecutive read operations, not the entire request transmission. Range: 30–120 seconds, default is 60 seconds. This parameter is valid only when Protocol is set to HTTP or HTTPS.
    clientHeaderTimeout Number
    Timeout for reading the client request header. Value range: 30–120 seconds. Default is 60 seconds. This parameter is valid only when Protocol is set to HTTP or HTTPS.
    connectionDrainEnabled String
    Whether the listener enables graceful connection termination. on: enabled. off: not enabled. When Protocol returns HTTP or HTTPS, this parameter always returns off.
    connectionDrainTimeout Number
    Timeout for graceful connection termination, in seconds. If ConnectionDrainEnabled returns off, this parameter returns 0.
    cookie String
    Name of the session persistence cookie configured on the backend server. This parameter is valid and required only when PersistenceType is set to server. Only letters, numbers, underscores (_), and hyphens (-) are allowed. Length must be between 1 and 200 characters.
    cps Number
    Maximum number of new connections per second. -1 (default): No limit, which means the maximum number of new connections allowed by the CLB instance. Value range: 1 to the maximum number of new connections allowed by the CLB instance.
    createdTime String
    Creation time of the listener.
    description String
    Listener description. Must start with a letter, digit, or Chinese character. Can include letters, digits, Chinese characters, and the following special characters: comma (,), period (.), underscore (_), space ( ), equals sign (=), hyphen (-), Chinese comma (,), and Chinese period (。). Length: 0–255 characters. If not specified, the default is an empty string.
    domainExtensions List<Property Map>
    List of extended domain names associated with the HTTPS listener. Each HTTPS listener can be associated with up to 20 extended domain names.
    enabled String
    Enable listener. on (default): enabled. off: disabled.
    endPort Number
    End port for all-port listening. Range: 1–65535. When Port is '0', this parameter is required and must be greater than startPort.
    establishedTimeout Number
    Listener connection timeout. This parameter is valid only when Protocol is set to TCP or UDP. Values: TCP protocol: 10–900 seconds, default is 900 seconds. UDP protocol: 1–300 seconds, default is 90 seconds.
    healthCheck Property Map
    Health check information.
    http2Enabled String
    Whether the listener enables frontend HTTP 2.0 protocol. This parameter is valid only when Protocol is set to HTTPS. Values: on: enabled. off (default): disabled.
    id String
    Uniquely identifies the resource.
    keepaliveTimeout Number
    Keep-alive timeout between the client and CLB. Range: 0–900 seconds, default is 75 seconds. 0 disables keep-alive. This parameter is valid only when Protocol is set to HTTP or HTTPS.
    listenerId String
    Listener ID.
    listenerName String
    Listener name. Must start with a letter, number, or Chinese character. Can include letters, numbers, Chinese characters, and the following special characters: period (.), underscore (_), and hyphen (-). Length must be between 1 and 128 characters. If left blank, 'Protocol-Port' will be used as the default listener name.
    loadBalancerId String
    ID of the CLB instance.
    maxConnections Number
    Maximum concurrent connections limit. -1 (default): unlimited (up to the maximum concurrent connections supported by the CLB instance). Value range: 1 to the maximum concurrent connections limit of the CLB instance.
    persistenceTimeout Number
    Session persistence timeout, in seconds. The value range depends on the PersistenceType parameter. When PersistenceType is set to source_ip, the range is 1–3600. When PersistenceType is set to insert, the range is 1–86400.
    persistenceType String
    Session persistence type. Values: off (default): session persistence disabled. source_ip: source IP address, valid only when Protocol is TCP or UDP. insert: insert Cookie, valid only when Protocol is HTTP or HTTPS and Scheduler is wrr. server: rewrite Cookie, valid only when Protocol is HTTP or HTTPS and Scheduler is wrr.
    port Number
    Port used by the listener to receive requests. Value range: 0–65535. When the Protocol parameter is 'TCP' or 'UDP', 0 is supported, which enables listening on all ports.
    protocol String
    Listener protocol. Includes: TCP, UDP, HTTP, HTTPS.
    proxyConnectTimeout Number
    Connection establishment timeout between CLB and backend server. Recommended to be greater than the health check timeout. Range: 4–120 seconds, default is 4. This parameter is valid only when Protocol is set to HTTP or HTTPS.
    proxyProtocolType String
    Enable Proxy-Protocol. This parameter is valid only when Protocol is TCP or UDP. Values: off (default): disabled. standard: enabled.
    proxyReadTimeout Number
    Timeout for CLB to read responses from backend servers. This timeout applies only between two consecutive read operations, not for the entire response transmission. Value range: 30–3600 seconds. Default: 60 seconds. This parameter is valid only when Protocol is set to HTTP or HTTPS.
    proxySendTimeout Number
    Timeout for CLB to transmit requests to backend servers. This timeout applies only between two consecutive write operations, not the entire request transmission process. Value range: 30–3600 seconds. Default is 60 seconds. This parameter is valid only when Protocol is set to HTTP or HTTPS.
    ruleIds List<String>
    List of rule IDs bound to the listener.
    scheduler String
    Scheduling algorithm used by the listener. wrr (default): Weighted round robin. wlc: Weighted least connections. sh: Source address hash.
    securityPolicyId String
    TLS security policy for HTTPS listeners. This parameter is valid only when Protocol is set to HTTPS. Values: defaultpolicy (default): supports SSL v3, TLS v1.0, TLS v1.1, TLS v1.2. tlscipherpolicy10: supports TLS v1.0, TLS v1.1, TLS v1.2. tlscipherpolicy11: supports TLS v1.1, TLS v1.2. tlscipherpolicy12: supports TLS v1.2. tlscipherpolicy12strict: supports TLS v1.2.
    sendTimeout Number
    Timeout for CLB to send responses to the client. This timeout applies only between two consecutive write operations, not the entire response transmission. Range: 1–3600 seconds, default is 60 seconds. This parameter is valid only when Protocol is set to HTTP or HTTPS.
    serverGroupId String
    ID of the backend server group associated with the listener.
    startPort Number
    Start port for all-port listening. Range: 1–65535. When Port is '0', this parameter is required.
    status String
    Listener status. Creating: being created. Active: running. Deleting: being deleted. Disabled: disabled.
    tags List<Property Map>
    Tag associated with the listener.
    updatedTime String
    Last operation time of the listener.
    wafProtectionEnabled String
    Send traffic passing through the Layer 7 listener to the Web Application Firewall for inspection and filtering. on: yes. off: no.

    Supporting Types

    GetListenerDomainExtension

    CertCenterCertificateId string
    Certificate ID of the extended domain name.
    CertificateSource string
    Certificate source for the extended domain name to be added. Value: cert_center: SSL certificate from Volcano Engine Certificate Center. This parameter is required when adding an extended domain name.
    Domain string
    Domain name. Supports both wildcard and exact domain names. Specifications: 1. Must contain at least one '.', and cannot start or end with '.'. 2. Only letters, numbers, '.', '-', and '' are allowed. 3. Length must be between 1 and 128 characters. 4. Wildcard domain: Use '' to replace one or more characters. 5. Exact domain: A domain name that strictly follows domain name specifications.
    DomainExtensionId string
    Extended domain name ID.
    CertCenterCertificateId string
    Certificate ID of the extended domain name.
    CertificateSource string
    Certificate source for the extended domain name to be added. Value: cert_center: SSL certificate from Volcano Engine Certificate Center. This parameter is required when adding an extended domain name.
    Domain string
    Domain name. Supports both wildcard and exact domain names. Specifications: 1. Must contain at least one '.', and cannot start or end with '.'. 2. Only letters, numbers, '.', '-', and '' are allowed. 3. Length must be between 1 and 128 characters. 4. Wildcard domain: Use '' to replace one or more characters. 5. Exact domain: A domain name that strictly follows domain name specifications.
    DomainExtensionId string
    Extended domain name ID.
    certCenterCertificateId String
    Certificate ID of the extended domain name.
    certificateSource String
    Certificate source for the extended domain name to be added. Value: cert_center: SSL certificate from Volcano Engine Certificate Center. This parameter is required when adding an extended domain name.
    domain String
    Domain name. Supports both wildcard and exact domain names. Specifications: 1. Must contain at least one '.', and cannot start or end with '.'. 2. Only letters, numbers, '.', '-', and '' are allowed. 3. Length must be between 1 and 128 characters. 4. Wildcard domain: Use '' to replace one or more characters. 5. Exact domain: A domain name that strictly follows domain name specifications.
    domainExtensionId String
    Extended domain name ID.
    certCenterCertificateId string
    Certificate ID of the extended domain name.
    certificateSource string
    Certificate source for the extended domain name to be added. Value: cert_center: SSL certificate from Volcano Engine Certificate Center. This parameter is required when adding an extended domain name.
    domain string
    Domain name. Supports both wildcard and exact domain names. Specifications: 1. Must contain at least one '.', and cannot start or end with '.'. 2. Only letters, numbers, '.', '-', and '' are allowed. 3. Length must be between 1 and 128 characters. 4. Wildcard domain: Use '' to replace one or more characters. 5. Exact domain: A domain name that strictly follows domain name specifications.
    domainExtensionId string
    Extended domain name ID.
    cert_center_certificate_id str
    Certificate ID of the extended domain name.
    certificate_source str
    Certificate source for the extended domain name to be added. Value: cert_center: SSL certificate from Volcano Engine Certificate Center. This parameter is required when adding an extended domain name.
    domain str
    Domain name. Supports both wildcard and exact domain names. Specifications: 1. Must contain at least one '.', and cannot start or end with '.'. 2. Only letters, numbers, '.', '-', and '' are allowed. 3. Length must be between 1 and 128 characters. 4. Wildcard domain: Use '' to replace one or more characters. 5. Exact domain: A domain name that strictly follows domain name specifications.
    domain_extension_id str
    Extended domain name ID.
    certCenterCertificateId String
    Certificate ID of the extended domain name.
    certificateSource String
    Certificate source for the extended domain name to be added. Value: cert_center: SSL certificate from Volcano Engine Certificate Center. This parameter is required when adding an extended domain name.
    domain String
    Domain name. Supports both wildcard and exact domain names. Specifications: 1. Must contain at least one '.', and cannot start or end with '.'. 2. Only letters, numbers, '.', '-', and '' are allowed. 3. Length must be between 1 and 128 characters. 4. Wildcard domain: Use '' to replace one or more characters. 5. Exact domain: A domain name that strictly follows domain name specifications.
    domainExtensionId String
    Extended domain name ID.

    GetListenerHealthCheck

    Domain string
    Domain name for health check. Must be set to the actual address provided by the backend server. This parameter takes effect when Protocol is set to HTTP or HTTPS and HealthCheck.Enabled is on. Must contain at least one period (.), and cannot start or end with a period (.). Each string can include letters, numbers, hyphens (-), and periods (.), with hyphens (-) not allowed at the beginning or end of the string. Length limit: 1 to 128 characters. If this parameter is not provided or no value is specified, the default is empty, meaning CLB uses the private IP address of each backend server for health checks.
    Enabled string
    Whether health check is enabled for the listener. on (default): enabled. off: disabled.
    HealthyThreshold int
    Health threshold, i.e., the number of consecutive successful health checks. Range: 2–10, default is 3, unit: times.
    HttpCode string
    HTTP status codes for healthy checks. This parameter is effective when Protocol is HTTP or HTTPS and HealthCheck.Enabled is on. Values: http2xx (default), http3xx, http4xx, http5xx. Separate multiple status codes with a comma (,).
    Interval int
    Interval for performing health checks. Range: 1–300, default is 2, in seconds.
    Method string
    Listener health check method. GET: server must support the GET method. HEAD: server returns only HEAD header information, which reduces backend overhead, but requires server support for the HEAD method.
    Port int
    Health check port. Value range: 1–65535.
    Timeout int
    Health check response timeout. If the backend server does not respond correctly within the specified time, the health check is considered 'abnormal'. Value range: 1 to 60. Default: 2. Unit: seconds.
    UdpExpect string
    Expected response string for health check. Only letters and numbers are allowed, with a maximum length of 64 characters. This parameter takes effect when Protocol is set to UDP and HealthCheck.Enabled is set to on. HealthCheck.UdpRequest and HealthCheck.UdpExpect must either both be empty or both be non-empty.
    UdpRequest string
    Request string for performing health checks. Only letters and numbers are allowed, with a maximum length of 64 characters. This parameter takes effect when Protocol is set to UDP and HealthCheck.Enabled is set to on. The values of HealthCheck.UdpRequest and HealthCheck.UdpExpect must either both be empty or both be non-empty.
    UnhealthyThreshold int
    Unhealthy threshold, which is the number of consecutive health check failures. Value range: 2–10. Default: 3. Unit: occurrences.
    Uri string
    Health check path. Must be configured as the actual address provided by the backend server. This parameter takes effect when Protocol is set to HTTP or HTTPS and HealthCheck.Enabled is on. Must start with '/'. Only letters, digits, hyphens (-), underscores (_), slashes (/), periods (.), percent signs (%), question marks (?), #, &, and equals signs (=) are allowed. Length: 1–128 characters. If not specified or no value is provided, the default is '/'.
    Domain string
    Domain name for health check. Must be set to the actual address provided by the backend server. This parameter takes effect when Protocol is set to HTTP or HTTPS and HealthCheck.Enabled is on. Must contain at least one period (.), and cannot start or end with a period (.). Each string can include letters, numbers, hyphens (-), and periods (.), with hyphens (-) not allowed at the beginning or end of the string. Length limit: 1 to 128 characters. If this parameter is not provided or no value is specified, the default is empty, meaning CLB uses the private IP address of each backend server for health checks.
    Enabled string
    Whether health check is enabled for the listener. on (default): enabled. off: disabled.
    HealthyThreshold int
    Health threshold, i.e., the number of consecutive successful health checks. Range: 2–10, default is 3, unit: times.
    HttpCode string
    HTTP status codes for healthy checks. This parameter is effective when Protocol is HTTP or HTTPS and HealthCheck.Enabled is on. Values: http2xx (default), http3xx, http4xx, http5xx. Separate multiple status codes with a comma (,).
    Interval int
    Interval for performing health checks. Range: 1–300, default is 2, in seconds.
    Method string
    Listener health check method. GET: server must support the GET method. HEAD: server returns only HEAD header information, which reduces backend overhead, but requires server support for the HEAD method.
    Port int
    Health check port. Value range: 1–65535.
    Timeout int
    Health check response timeout. If the backend server does not respond correctly within the specified time, the health check is considered 'abnormal'. Value range: 1 to 60. Default: 2. Unit: seconds.
    UdpExpect string
    Expected response string for health check. Only letters and numbers are allowed, with a maximum length of 64 characters. This parameter takes effect when Protocol is set to UDP and HealthCheck.Enabled is set to on. HealthCheck.UdpRequest and HealthCheck.UdpExpect must either both be empty or both be non-empty.
    UdpRequest string
    Request string for performing health checks. Only letters and numbers are allowed, with a maximum length of 64 characters. This parameter takes effect when Protocol is set to UDP and HealthCheck.Enabled is set to on. The values of HealthCheck.UdpRequest and HealthCheck.UdpExpect must either both be empty or both be non-empty.
    UnhealthyThreshold int
    Unhealthy threshold, which is the number of consecutive health check failures. Value range: 2–10. Default: 3. Unit: occurrences.
    Uri string
    Health check path. Must be configured as the actual address provided by the backend server. This parameter takes effect when Protocol is set to HTTP or HTTPS and HealthCheck.Enabled is on. Must start with '/'. Only letters, digits, hyphens (-), underscores (_), slashes (/), periods (.), percent signs (%), question marks (?), #, &, and equals signs (=) are allowed. Length: 1–128 characters. If not specified or no value is provided, the default is '/'.
    domain String
    Domain name for health check. Must be set to the actual address provided by the backend server. This parameter takes effect when Protocol is set to HTTP or HTTPS and HealthCheck.Enabled is on. Must contain at least one period (.), and cannot start or end with a period (.). Each string can include letters, numbers, hyphens (-), and periods (.), with hyphens (-) not allowed at the beginning or end of the string. Length limit: 1 to 128 characters. If this parameter is not provided or no value is specified, the default is empty, meaning CLB uses the private IP address of each backend server for health checks.
    enabled String
    Whether health check is enabled for the listener. on (default): enabled. off: disabled.
    healthyThreshold Integer
    Health threshold, i.e., the number of consecutive successful health checks. Range: 2–10, default is 3, unit: times.
    httpCode String
    HTTP status codes for healthy checks. This parameter is effective when Protocol is HTTP or HTTPS and HealthCheck.Enabled is on. Values: http2xx (default), http3xx, http4xx, http5xx. Separate multiple status codes with a comma (,).
    interval Integer
    Interval for performing health checks. Range: 1–300, default is 2, in seconds.
    method String
    Listener health check method. GET: server must support the GET method. HEAD: server returns only HEAD header information, which reduces backend overhead, but requires server support for the HEAD method.
    port Integer
    Health check port. Value range: 1–65535.
    timeout Integer
    Health check response timeout. If the backend server does not respond correctly within the specified time, the health check is considered 'abnormal'. Value range: 1 to 60. Default: 2. Unit: seconds.
    udpExpect String
    Expected response string for health check. Only letters and numbers are allowed, with a maximum length of 64 characters. This parameter takes effect when Protocol is set to UDP and HealthCheck.Enabled is set to on. HealthCheck.UdpRequest and HealthCheck.UdpExpect must either both be empty or both be non-empty.
    udpRequest String
    Request string for performing health checks. Only letters and numbers are allowed, with a maximum length of 64 characters. This parameter takes effect when Protocol is set to UDP and HealthCheck.Enabled is set to on. The values of HealthCheck.UdpRequest and HealthCheck.UdpExpect must either both be empty or both be non-empty.
    unhealthyThreshold Integer
    Unhealthy threshold, which is the number of consecutive health check failures. Value range: 2–10. Default: 3. Unit: occurrences.
    uri String
    Health check path. Must be configured as the actual address provided by the backend server. This parameter takes effect when Protocol is set to HTTP or HTTPS and HealthCheck.Enabled is on. Must start with '/'. Only letters, digits, hyphens (-), underscores (_), slashes (/), periods (.), percent signs (%), question marks (?), #, &, and equals signs (=) are allowed. Length: 1–128 characters. If not specified or no value is provided, the default is '/'.
    domain string
    Domain name for health check. Must be set to the actual address provided by the backend server. This parameter takes effect when Protocol is set to HTTP or HTTPS and HealthCheck.Enabled is on. Must contain at least one period (.), and cannot start or end with a period (.). Each string can include letters, numbers, hyphens (-), and periods (.), with hyphens (-) not allowed at the beginning or end of the string. Length limit: 1 to 128 characters. If this parameter is not provided or no value is specified, the default is empty, meaning CLB uses the private IP address of each backend server for health checks.
    enabled string
    Whether health check is enabled for the listener. on (default): enabled. off: disabled.
    healthyThreshold number
    Health threshold, i.e., the number of consecutive successful health checks. Range: 2–10, default is 3, unit: times.
    httpCode string
    HTTP status codes for healthy checks. This parameter is effective when Protocol is HTTP or HTTPS and HealthCheck.Enabled is on. Values: http2xx (default), http3xx, http4xx, http5xx. Separate multiple status codes with a comma (,).
    interval number
    Interval for performing health checks. Range: 1–300, default is 2, in seconds.
    method string
    Listener health check method. GET: server must support the GET method. HEAD: server returns only HEAD header information, which reduces backend overhead, but requires server support for the HEAD method.
    port number
    Health check port. Value range: 1–65535.
    timeout number
    Health check response timeout. If the backend server does not respond correctly within the specified time, the health check is considered 'abnormal'. Value range: 1 to 60. Default: 2. Unit: seconds.
    udpExpect string
    Expected response string for health check. Only letters and numbers are allowed, with a maximum length of 64 characters. This parameter takes effect when Protocol is set to UDP and HealthCheck.Enabled is set to on. HealthCheck.UdpRequest and HealthCheck.UdpExpect must either both be empty or both be non-empty.
    udpRequest string
    Request string for performing health checks. Only letters and numbers are allowed, with a maximum length of 64 characters. This parameter takes effect when Protocol is set to UDP and HealthCheck.Enabled is set to on. The values of HealthCheck.UdpRequest and HealthCheck.UdpExpect must either both be empty or both be non-empty.
    unhealthyThreshold number
    Unhealthy threshold, which is the number of consecutive health check failures. Value range: 2–10. Default: 3. Unit: occurrences.
    uri string
    Health check path. Must be configured as the actual address provided by the backend server. This parameter takes effect when Protocol is set to HTTP or HTTPS and HealthCheck.Enabled is on. Must start with '/'. Only letters, digits, hyphens (-), underscores (_), slashes (/), periods (.), percent signs (%), question marks (?), #, &, and equals signs (=) are allowed. Length: 1–128 characters. If not specified or no value is provided, the default is '/'.
    domain str
    Domain name for health check. Must be set to the actual address provided by the backend server. This parameter takes effect when Protocol is set to HTTP or HTTPS and HealthCheck.Enabled is on. Must contain at least one period (.), and cannot start or end with a period (.). Each string can include letters, numbers, hyphens (-), and periods (.), with hyphens (-) not allowed at the beginning or end of the string. Length limit: 1 to 128 characters. If this parameter is not provided or no value is specified, the default is empty, meaning CLB uses the private IP address of each backend server for health checks.
    enabled str
    Whether health check is enabled for the listener. on (default): enabled. off: disabled.
    healthy_threshold int
    Health threshold, i.e., the number of consecutive successful health checks. Range: 2–10, default is 3, unit: times.
    http_code str
    HTTP status codes for healthy checks. This parameter is effective when Protocol is HTTP or HTTPS and HealthCheck.Enabled is on. Values: http2xx (default), http3xx, http4xx, http5xx. Separate multiple status codes with a comma (,).
    interval int
    Interval for performing health checks. Range: 1–300, default is 2, in seconds.
    method str
    Listener health check method. GET: server must support the GET method. HEAD: server returns only HEAD header information, which reduces backend overhead, but requires server support for the HEAD method.
    port int
    Health check port. Value range: 1–65535.
    timeout int
    Health check response timeout. If the backend server does not respond correctly within the specified time, the health check is considered 'abnormal'. Value range: 1 to 60. Default: 2. Unit: seconds.
    udp_expect str
    Expected response string for health check. Only letters and numbers are allowed, with a maximum length of 64 characters. This parameter takes effect when Protocol is set to UDP and HealthCheck.Enabled is set to on. HealthCheck.UdpRequest and HealthCheck.UdpExpect must either both be empty or both be non-empty.
    udp_request str
    Request string for performing health checks. Only letters and numbers are allowed, with a maximum length of 64 characters. This parameter takes effect when Protocol is set to UDP and HealthCheck.Enabled is set to on. The values of HealthCheck.UdpRequest and HealthCheck.UdpExpect must either both be empty or both be non-empty.
    unhealthy_threshold int
    Unhealthy threshold, which is the number of consecutive health check failures. Value range: 2–10. Default: 3. Unit: occurrences.
    uri str
    Health check path. Must be configured as the actual address provided by the backend server. This parameter takes effect when Protocol is set to HTTP or HTTPS and HealthCheck.Enabled is on. Must start with '/'. Only letters, digits, hyphens (-), underscores (_), slashes (/), periods (.), percent signs (%), question marks (?), #, &, and equals signs (=) are allowed. Length: 1–128 characters. If not specified or no value is provided, the default is '/'.
    domain String
    Domain name for health check. Must be set to the actual address provided by the backend server. This parameter takes effect when Protocol is set to HTTP or HTTPS and HealthCheck.Enabled is on. Must contain at least one period (.), and cannot start or end with a period (.). Each string can include letters, numbers, hyphens (-), and periods (.), with hyphens (-) not allowed at the beginning or end of the string. Length limit: 1 to 128 characters. If this parameter is not provided or no value is specified, the default is empty, meaning CLB uses the private IP address of each backend server for health checks.
    enabled String
    Whether health check is enabled for the listener. on (default): enabled. off: disabled.
    healthyThreshold Number
    Health threshold, i.e., the number of consecutive successful health checks. Range: 2–10, default is 3, unit: times.
    httpCode String
    HTTP status codes for healthy checks. This parameter is effective when Protocol is HTTP or HTTPS and HealthCheck.Enabled is on. Values: http2xx (default), http3xx, http4xx, http5xx. Separate multiple status codes with a comma (,).
    interval Number
    Interval for performing health checks. Range: 1–300, default is 2, in seconds.
    method String
    Listener health check method. GET: server must support the GET method. HEAD: server returns only HEAD header information, which reduces backend overhead, but requires server support for the HEAD method.
    port Number
    Health check port. Value range: 1–65535.
    timeout Number
    Health check response timeout. If the backend server does not respond correctly within the specified time, the health check is considered 'abnormal'. Value range: 1 to 60. Default: 2. Unit: seconds.
    udpExpect String
    Expected response string for health check. Only letters and numbers are allowed, with a maximum length of 64 characters. This parameter takes effect when Protocol is set to UDP and HealthCheck.Enabled is set to on. HealthCheck.UdpRequest and HealthCheck.UdpExpect must either both be empty or both be non-empty.
    udpRequest String
    Request string for performing health checks. Only letters and numbers are allowed, with a maximum length of 64 characters. This parameter takes effect when Protocol is set to UDP and HealthCheck.Enabled is set to on. The values of HealthCheck.UdpRequest and HealthCheck.UdpExpect must either both be empty or both be non-empty.
    unhealthyThreshold Number
    Unhealthy threshold, which is the number of consecutive health check failures. Value range: 2–10. Default: 3. Unit: occurrences.
    uri String
    Health check path. Must be configured as the actual address provided by the backend server. This parameter takes effect when Protocol is set to HTTP or HTTPS and HealthCheck.Enabled is on. Must start with '/'. Only letters, digits, hyphens (-), underscores (_), slashes (/), periods (.), percent signs (%), question marks (?), #, &, and equals signs (=) are allowed. Length: 1–128 characters. If not specified or no value is provided, the default is '/'.

    GetListenerTag

    Key string
    Tag key for user tags. Length range: 1–128 characters. Supports input of characters from all languages, numbers, spaces ( ), underscores (_), periods (.), colons (:), slashes (/), equals signs (=), plus signs (+), hyphens (-), and @ (@). If the tag key starts or ends with a space, the system automatically removes it.
    Value string
    Tag value for user tags. Supports input of characters from any language, numbers, spaces ( ), underscores (_), periods (.), colons (:), slashes (/), equals signs (=), plus signs (+), hyphens (-), and @ (@). Case sensitive. If the tag value starts or ends with a space, the system will automatically remove it.
    Key string
    Tag key for user tags. Length range: 1–128 characters. Supports input of characters from all languages, numbers, spaces ( ), underscores (_), periods (.), colons (:), slashes (/), equals signs (=), plus signs (+), hyphens (-), and @ (@). If the tag key starts or ends with a space, the system automatically removes it.
    Value string
    Tag value for user tags. Supports input of characters from any language, numbers, spaces ( ), underscores (_), periods (.), colons (:), slashes (/), equals signs (=), plus signs (+), hyphens (-), and @ (@). Case sensitive. If the tag value starts or ends with a space, the system will automatically remove it.
    key String
    Tag key for user tags. Length range: 1–128 characters. Supports input of characters from all languages, numbers, spaces ( ), underscores (_), periods (.), colons (:), slashes (/), equals signs (=), plus signs (+), hyphens (-), and @ (@). If the tag key starts or ends with a space, the system automatically removes it.
    value String
    Tag value for user tags. Supports input of characters from any language, numbers, spaces ( ), underscores (_), periods (.), colons (:), slashes (/), equals signs (=), plus signs (+), hyphens (-), and @ (@). Case sensitive. If the tag value starts or ends with a space, the system will automatically remove it.
    key string
    Tag key for user tags. Length range: 1–128 characters. Supports input of characters from all languages, numbers, spaces ( ), underscores (_), periods (.), colons (:), slashes (/), equals signs (=), plus signs (+), hyphens (-), and @ (@). If the tag key starts or ends with a space, the system automatically removes it.
    value string
    Tag value for user tags. Supports input of characters from any language, numbers, spaces ( ), underscores (_), periods (.), colons (:), slashes (/), equals signs (=), plus signs (+), hyphens (-), and @ (@). Case sensitive. If the tag value starts or ends with a space, the system will automatically remove it.
    key str
    Tag key for user tags. Length range: 1–128 characters. Supports input of characters from all languages, numbers, spaces ( ), underscores (_), periods (.), colons (:), slashes (/), equals signs (=), plus signs (+), hyphens (-), and @ (@). If the tag key starts or ends with a space, the system automatically removes it.
    value str
    Tag value for user tags. Supports input of characters from any language, numbers, spaces ( ), underscores (_), periods (.), colons (:), slashes (/), equals signs (=), plus signs (+), hyphens (-), and @ (@). Case sensitive. If the tag value starts or ends with a space, the system will automatically remove it.
    key String
    Tag key for user tags. Length range: 1–128 characters. Supports input of characters from all languages, numbers, spaces ( ), underscores (_), periods (.), colons (:), slashes (/), equals signs (=), plus signs (+), hyphens (-), and @ (@). If the tag key starts or ends with a space, the system automatically removes it.
    value String
    Tag value for user tags. Supports input of characters from any language, numbers, spaces ( ), underscores (_), periods (.), colons (:), slashes (/), equals signs (=), plus signs (+), hyphens (-), and @ (@). Case sensitive. If the tag value starts or ends with a space, the system will automatically remove it.

    Package Details

    Repository
    volcenginecc volcengine/pulumi-volcenginecc
    License
    MPL-2.0
    Notes
    This Pulumi package is based on the volcenginecc Terraform Provider.
    volcenginecc logo
    Viewing docs for volcenginecc v0.0.32
    published on Thursday, Apr 23, 2026 by Volcengine
      Try Pulumi Cloud free. Your team will thank you.